> For the complete documentation index, see [llms.txt](https://docs.smartfastpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.smartfastpay.com/methods-and-markets/payin/latam/peru/wallet.md).

# Wallet

Here you'll find the specific parameters required for integrating this payment method in the selected country. These parameters are tailored to meet the unique requirements of this region and payment type. For a complete list of global parameters and detailed explanations, please refer to the [**Overview**](/methods-and-markets/payin/overview.md) page, where you'll find all the foundational elements that apply across different countries and methods.

### <mark style="color:orange;">POST</mark> /v2/payin

{% hint style="info" %}
**Request**
{% endhint %}

{% code overflow="wrap" %}

```bash
curl -v --location --request POST 'https://sandbox.smartfastpay.com/v2/payin' \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <Access-Token>' \
    --data-raw '{
        "customer": {
            "id": "58f0c005-3b7d-4c75-81f3-93b9a6fee864",
            "name": "Richard Roe",
            "email": "richard@roe.com",
            "document": {
                "number": "123456789",
                "type": "DNI"
            }
        },
        "transaction": {
            "id": "b08e3897-6505-4bb4-81a5-6e3a1d29e277",
            "currency": "PEN",
            "amount": 300,
        },
        "country": "PER",
        "payment_method": "wallet",
        "notification_url": "http://mysite.com/api/notification"
    }'
```

{% endcode %}

{% hint style="info" %}
**Parameters details**
{% endhint %}

<table><thead><tr><th width="291">Parameter</th><th width="120" align="center">Type</th><th width="102" align="center">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>customer.id</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>Unique identifier for the customer in your system. This value should remain consistent across all transactions for the same customer</td></tr><tr><td><code>customer.name</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>The full name of the customer making the payment. It should match the name on the customer's identification documents</td></tr><tr><td><code>customer.email</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center">no</td><td>The email address of the customer. This will be used for sending payment confirmations and notifications</td></tr><tr><td><code>customer.document.number</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>The official identification number of the customer. This is typically a national ID, or other government-issued document</td></tr><tr><td><code>customer.document.type</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>The type of document provided by the customer. Common types include national ID, or driver's license. <a href="/pages/yXqITA9HFiwkUhEhGFNm">List of documents allowed</a>.</td></tr><tr><td><code>transaction.id</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>A unique identifier for the transaction. This ID should be generated by your system to track the specific payment process</td></tr><tr><td><code>transaction.currency</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>The currency in which the transaction is being conducted. Use standard ISO 4217 currency codes (e.g., USD, PEN). <a href="/pages/AV8tyVPt6rJX0yyuYIej">List of currency codes</a>.</td></tr><tr><td><code>transaction.amount</code></td><td align="center"><mark style="color:red;"><code>decimal</code></mark><br><mark style="color:red;"><code>(10,2)</code></mark></td><td align="center"><strong>yes</strong></td><td>The total amount of the transaction in the specified currency. This value should be a numeric amount (use dot instead of comma)<br><mark style="color:red;"><code>Eg: 300.10</code></mark></td></tr><tr><td><code>transaction.expire</code></td><td align="center"><mark style="color:red;"><code>integer (11)</code></mark></td><td align="center">no</td><td>The time in seconds until the transaction expires and is no longer valid</td></tr><tr><td><code>branch</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center">no</td><td>The specific branch or location identifier where the transaction is being processed, if applicable</td></tr><tr><td><code>country</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>The country code where the transaction is taking place. The format is <code>ISO 3166-1 alpha-3</code> (e.g., PER). <a href="/pages/WEBQfG9FyAw1HF4fdryA">List of country codes.</a></td></tr><tr><td><code>payment_method</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>The method of payment being used for the transaction, such as bank transfer, credit card...</td></tr><tr><td><code>notification_url</code></td><td align="center"><mark style="color:red;"><code>string</code></mark></td><td align="center"><strong>yes</strong></td><td>The URL to which payment notifications will be sent. Ensure this URL is accessible and configured to handle the notification format</td></tr></tbody></table>

{% hint style="info" %}
**Response**&#x20;
{% endhint %}

{% tabs %}
{% tab title="success" %}

```json
{
    "requestId": "a2435636-5f69-447d-8e22-8382f62ef7dd",
    "data": {
        "id": "4a79f3b4-8d55-428b-a560-984fedd6f78a",
        "status": "pending",
        "expires_in": 1722108649,
        "payment": {
            "method": "wallet",
            "url": "https://payment-stg.tupayonline.com/v1/checkout/SmartFastPay..."
        },
        "values": {
            "source_total": 27525.47,
            "source_currency": "PEN",
            "exchanged_total": 27525.47,
            "exchanged_currency": "PEN",
            "exchange": 1.00,
            "fee": 92.5226
        }
    }
}
```

{% endtab %}

{% tab title="error" %}

```json
{
    "requestId": "b299549a8e75ead38c176932c3f59da0/13462186452875824120",
    "moreInformation": [
        {
            "code": "INVALID_REQUEST",
            "detail": "The transaction.id field is required."
        }
    ]
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**Response details following the link:** [**overview**](/methods-and-markets/payin/overview.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.smartfastpay.com/methods-and-markets/payin/latam/peru/wallet.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
